# flopc::Messenger Class Reference
[Public interface]

Inteface for hooking up to internal flopc++ message handling. More...

`#include <MP_model.hpp>`

Inheritance diagram for flopc::Messenger:
[legend]

List of all members.

## Public Member Functions
virtual void | logMessage (int level, const char *const msg)
## Protected Member Functions
virtual | ~Messenger ()
## Private Member Functions
virtual void | constraintDebug (std::string name, const std::vector< Coef > &cfs)
virtual void | objectiveDebug (const std::vector< Coef > &cfs)
virtual void | statistics (int bm, int m, int bn, int n, int nz)
virtual void | generationTime (double t)
## Friends
class | MP_model

## Detailed Description

Inteface for hooking up to internal flopc++ message handling.

In more advanced use of FlopC++, it may be desirable to get access to internal calls for messages. In essence, sub-class this Messenger class, and register it with the MP_model. Also overload whichever message events you wish to handle.

Definition at line 35 of file MP_model.hpp.

## Constructor & Destructor Documentation

virtual flopc::Messenger::~Messenger | ( |  | ) | `[inline, protected, virtual]`

Definition at line 45 of file MP_model.hpp.

## Member Function Documentation

virtual void flopc::Messenger::logMessage | ( | int | level,
|  | const char *const | msg |
| ) |  |  | `[inline, virtual]`

Definition at line 37 of file MP_model.hpp.

virtual void flopc::Messenger::constraintDebug | ( | std::string | name,
|  | const std::vector< Coef > & | cfs |
| ) |  |  | `[inline, private, virtual]`

Reimplemented in flopc::VerboseMessenger.

Definition at line 40 of file MP_model.hpp.

virtual void flopc::Messenger::objectiveDebug | ( | const std::vector< Coef > & | cfs | ) | `[inline, private, virtual]`

Reimplemented in flopc::VerboseMessenger.

Definition at line 41 of file MP_model.hpp.

virtual void flopc::Messenger::statistics | ( | int | bm,
|  | int | m,
|  | int | bn,
|  | int | n,
|  | int | nz |
| ) |  |  | `[inline, private, virtual]`

Reimplemented in flopc::NormalMessenger.

Definition at line 42 of file MP_model.hpp.

virtual void flopc::Messenger::generationTime | ( | double | t | ) | `[inline, private, virtual]`

Reimplemented in flopc::NormalMessenger.

Definition at line 43 of file MP_model.hpp.

## Friends And Related Function Documentation

friend class MP_model`[friend]`

Reimplemented in flopc::NormalMessenger, and flopc::VerboseMessenger.

Definition at line 38 of file MP_model.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_model.hpp